services:
    eles.coreframe.listener:
        class: eles\coreframe\event\listener
        arguments:
            - '@eles.coreframe.sidebar_service'
            - '@eles.coreframe.widgets_service'
            - '@dbal.conn'
            - '@cache.driver'
            - '@config'
            - '@config_text'
            - '@controller.helper'
            - '@request'
            - '@template'
            - '@language'
            - '%core.root_path%'
            - '%core.php_ext%'
        tags:
            - { name: event.listener }

    eles.coreframe.widgets_service:
        class: eles\coreframe\inc\widgets_service
        arguments:
            - '@dbal.conn'
            - '@config'
            - '@template'
            - '@user'
            - '@language'
            - '%core.root_path%'
            - '%core.php_ext%'

    eles.coreframe.sidebar_service:
        class: eles\coreframe\inc\sidebar_service
        arguments:
            - '@user'
            - '@config'
            - '@config_text'
